Name:		shibboleth-resolver
Version:	0.3
Summary:	Shibboleth SP Attribute Resolver Library
Release:	3
Vendor: Shibboleth Consortium
Group:		System Environment/Libraries
License:	Apache 2.0
URL:		http://shibboleth.net/
Source0:	http://shibboleth.net/downloads/extensions/sp/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
%{?_with_log4cpp:BuildRequires: liblog4cpp-devel >= 1.0}
%{!?_with_log4cpp:BuildRequires: liblog4shib-devel >= 1.0.4}
BuildRequires:  gcc-c++, libxmltooling-devel, libsaml-devel, shibboleth-sp-devel
%if "%{_vendor}" == "redhat"
BuildRequires: redhat-rpm-config
%endif

%if "%{_vendor}" == "suse"
%define pkgdocdir %{_docdir}/%{name}
%else
%define pkgdocdir %{_docdir}/%{name}-%{version}
%endif

%description
This package contains a Shibboleth SP Extension that provides
externally accessible attribute resolver functionality for processing
local and remote sources of federated attribute information.

%package -n libshibresolver1
Summary:    Shibboleth SP Attribute Resolver library
Group:      Development/Libraries
Provides:   shibboleth-resolver = %{version}-%{release}
Obsoletes:  shibboleth-resolver < %{version}-%{release}

%description -n libshibresolver1
This package contains a Shibboleth SP Extension that provides
externally accessible attribute resolver functionality for processing
local and remote sources of federated attribute information.

This package contains just the shared library.

%package -n libshibresolver-devel
Summary:    Shibboleth SP Attribute Resolver development Headers
Group:      Development/Libraries
Requires:   libshibresolver1 = %{version}-%{release}
Provides:   shibboleth-resolver-devel = %{version}-%{release}
Obsoletes:  shibboleth-resolver-devel < %{version}-%{release}
Requires: libxmltooling-devel, libsaml-devel, shibboleth-sp-devel
%{?_with_log4cpp:Requires: liblog4cpp-devel >= 1.0}
%{!?_with_log4cpp:Requires: liblog4shib-devel >= 1.0.4}

%description -n libshibresolver-devel
This package contains a Shibboleth SP Extension that provides
externally accessible attribute resolver functionality for processing
local and remote sources of federated attribute information.

This package includes files needed for development.

%prep
%setup -q

%build
%configure %{?options} --with-gssapi
%{__make} pkgdocdir=%{pkgdocdir}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT pkgdocdir=%{pkgdocdir}

%check
%{__make} check

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%ifnos solaris2.8 solaris2.9 solaris2.10
%post -n libshibresolver1 -p /sbin/ldconfig
%endif

%ifnos solaris2.8 solaris2.9 solaris2.10
%postun -n libshibresolver1 -p /sbin/ldconfig
%endif

%files -n libshibresolver1
%defattr(-,root,root,-)
%{_libdir}/libshibresolver.so.*
%{_libdir}/libshibresolver-lite.so.*

%files -n libshibresolver-devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%doc %{pkgdocdir}

%changelog
* Tue Sep 14 2010  Scott Cantor  <cantor.2@osu.edu>  - 0.1-1
- Initial specfile
